curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"<string>"
]
},
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"cardType": "EXTERNAL",
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
'{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"actionType": "CREATE",
"applicationId": 123,
"authSource": "APP",
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Define um novo cartão que se tornará ativo em uma conta quando este aplicativo for instalado.
curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"<string>"
]
},
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"cardType": "EXTERNAL",
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
'{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"actionType": "CREATE",
"applicationId": 123,
"authSource": "APP",
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Show child attributes
Uma lista das ações realizadas no cartão, incluindo criação, exclusão e atualizações.
Show child attributes
Show child attributes
Show child attributes
O ID exclusivo do cartão.
O título de nível superior para este cartão. Exibido para os usuários na UI do CRM.
A data e a hora em que o cartão foi criado.
A data e a hora da última atualização do cartão.